Jump to content
3DCoat Forums
Styler

Maya appLink

Recommended Posts

I keep getting the error - Warning: <Applink> No information for processing import" when i try to press the import button in the maya script

 

maya 2016

Share this post


Link to post
Share on other sites

 

I keep getting the error - Warning: <Applink> No information for processing import" when i try to press the import button in the maya script

Check applink settings. 3dcoat version and exchange folder in "My Documents" must be the equivalent

Share this post


Link to post
Share on other sites

I do not have a new version of Maya.
For this reason I want to download the old version of Maya Applink, it has broken links.
I hope that it becomes available old version of Maya Applink.

Share this post


Link to post
Share on other sites

I just installed 3D-Coat AppLink for Maya.

When I hit the button "Load plugin" in Maya I getting an error:

loadPlugin("3dc_applink.py");
// pymel.internal.factories : MFnDagNode.model is deprecated
// pymel.core : Updating pymel with pre-loaded plugins: DirectConnect, mayaHIK, AbcImport, tiffFloatReader, VectorRender, gpuCache, rotateHelper, Substance, MayaMuscle, AutodeskPacketFile, autoLoader, fbxmaya, matrixNodes, ik2Bsolver, modelingToolkit, OpenEXRLoader, ikSpringSolver, Mayatomr, AbcExport, ArubaTessellator, quatNodes, mayaCharacterization, OneClick, retargeterNodes, sceneAssembly
// Warning: pymel.internal.factories : could not create a PyNode for manipulator type nexManip // 
// Error: line 1: UnicodeDecodeError: file C:\Program Files\Autodesk\Maya2014\bin\python27.zip\json\encoder.py line 384: utf8 // 
// Warning: line 1: Failed to run file: C:/Program Files/Autodesk/Maya2014/bin/plug-ins/3dc_applink.py // 
# Error: pymel : Failed to get controlCommand list from 3dc_applink # 
# Error: pymel : Failed to get modelEditorCommand list from 3dc_applink # 
# Error: pymel : Failed to get command list from 3dc_applink # 
# Error: pymel : Failed to get constraintCommand list from 3dc_applink # 
# Error: pymel.core : Failed to get depend nodes list from 3dc_applink # 
// Error: line 1:  (3dc_applink) // 

 

What is the reason for the error?

----

I'm using Maya 2014 SP3.

I made install like below:

Copy file "3dc_applink.py" from "plug-ins" folder ( depend on Maya version ) to ..\Maya20xx\bin\plug-ins
Copy whole folders "icons", "shelves" to ..\My Documents\maya\20xx\prefs

 

Untitled-1.jpg

Share this post


Link to post
Share on other sites

Pawel,

Can you attach your config file?
C:/Users/UserName/Documents/applinkMayaCoat.cfg

 

Kayan

Which version are you using?

 

Share this post


Link to post
Share on other sites
4 hours ago, kayan said:

I'm using Maya is 2010.

So? Do You know what could be the problem?

Documentation says "Supported: Maya 2011+ (32/64)".

On my friends computers Applink is working with Maya 2014.

 

Edited by Pawel_

Share this post


Link to post
Share on other sites

Hi

The last stable version is 4.5.40

Could you please test again using that version ?

Share this post


Link to post
Share on other sites

Put your command to marking menu)

Man, could you write script - isolate selected in the Coat? For Paint room. Like - you paint on object and press hotkey, all another objects will become invisible?

markin_menu.jpg

Share this post


Link to post
Share on other sites

Here is an update

version 2.1.1
*************
New:
- Initial compatibility with 3D-Coat 4.7
- Added support for Maya 2016+

Fixed:
- Issue with running applink on Mac OS platform

 

3dcoat_for_maya_v2.1.1.zip

Edited by Styler
  • Like 3

Share this post


Link to post
Share on other sites

Pawel_

Do you have any non-ASCII symbols in your paths? (C:/Users/UserName or in current Maya project path)

Pavel_K

What exactly is not working? Do you have any error messages? Please double check that Exchange Dir is synced with your 3dcoat version
 

### Note they both have the same version ###

3D-Coat Path: C:/Program Files/3D-Coat-V4.7.06/3D-CoatGL64C.exe
Exchange Dir: C:/Users/xxx/Documents/3D-CoatV47/Exchange

 

Edited by Styler

Share this post


Link to post
Share on other sites

Brand new user to 3d coat, I have managed to get the Maya applink working, i can export my object to 3d coat fine, but i don't seem to be able to get it back to Maya as the demo video shows, is there a video that shows the process in getting the model and/or textures back to Maya (preferably one that is not 3+years old.

Share this post


Link to post
Share on other sites

I have done the following, in 3d coat, file -> Export to -> Maya. when I do this, it opens Maya 2016, so far so good, it then brings up the window for specifying what I want exporting and how, but I just leave it to default, I click okay, a small progress window pops up in 3d coat showing which texture map types are being exported, and then.....nothing. Maya does not open the object, and when I attempt (this is just a guess as there is little to no information about the process of getting things from 3d coat to Maya) click the import button in the 3d coat app link, I only get a small yellow dialogue window at the bottom of Maya saying '# Warning: <Applink> No information for processing import' In Maya I have the 'Exchange dir' location to Documents/3D_coatv47/Exchange, and this is the same place i export my object in 3d coat. Any help would be gratefully appreciated.

Share this post


Link to post
Share on other sites

Hey there,

So I am just trying out the maya>3d coat applink for the first time. I have the following stats on software...

3d Coat 4.7.06

Maya 2015

Win7 64bit

So I cannot see any place in the Coat shelf within maya that will send my subdivided objects into the sculpt room. Is this not supported?

The applink is working as I can do all the other functions, but surface sculpt is one of the main ones I need.

Please help :)

Share this post


Link to post
Share on other sites

I'm also running into the same problem. Although I can export a mesh from maya to 3dcoat using the export to voxel option, I cannot seem to import back into Maya. The weird thing is If I export from Maya as a paintable mesh, into 3dcoat, I don't have  a problem importing it back into Maya.

It would be great to get the voxel import into maya working.

Thanks for any help. :-)

Share this post


Link to post
Share on other sites

Helloo . 

Not working in Maya LT 2017 .

It due to Python missing correct?

 

Any chance of making a 2017 LT applink?

Share this post


Link to post
Share on other sites

>> Any chance of making a 2017 LT applink?
No. Maya LT has only embedded MEL script language. If someone else will decide to write it, I don't mind =)

>> So I cannot see any place in the Coat shelf within maya that will send my subdivided objects into the sculpt room. Is this not supported?
It's actually kinda of possible. Use "microvertex painting" mode for exporting your model from Maya and don't forget to set "Export Resolution" to "MID-POLY" in Options tab. In 3D-Coat import dialog set desirable subdivision for the mesh in "Display Resolution" dropbox. Do your painting/sculpting. After importing back to Maya you should have the same subdivided model as in 3d-coat.

Share this post


Link to post
Share on other sites

Hi! I just recently installed the Applink shelf plugin for Maya 2016. I got the shelf to show but no icons appear in my shelf. Am I missing a step in the installation process?

Edited by Carlosan

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×